Package org.apache.el.lang

## Class FunctionMapperImpl.Function

- java.lang.Object
- - org.apache.el.lang.FunctionMapperImpl.Function

All Implemented Interfaces:
  `java.io.Externalizable`, `java.io.Serializable`

Enclosing class:
  FunctionMapperImpl

    public static class FunctionMapperImpl.Function
    extends java.lang.Object
    implements java.io.Externalizable

See Also:
  Serialized Form

### Field Summary

Fields
`protected java.lang.String` `localName`
`protected java.lang.reflect.Method` `m`
`protected java.lang.String` `name`
`protected java.lang.String` `owner`
`protected java.lang.String` `prefix`
`protected java.lang.String[]` `types`

### Constructor Summary

Constructors
`Function()`
`Function​(java.lang.String prefix, java.lang.String localName, java.lang.reflect.Method m)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.reflect.Method` `getMethod()`
`int` `hashCode()`
`void` `readExternal​(java.io.ObjectInput in)`
`void` `writeExternal​(java.io.ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m

    protected transient java.lang.reflect.Method m

#### owner

    protected java.lang.String owner

#### name

    protected java.lang.String name

#### types

    protected java.lang.String[] types

#### prefix

    protected java.lang.String prefix

#### localName

    protected java.lang.String localName

### Constructor Detail

#### Function

    public Function​(java.lang.String prefix,
                    java.lang.String localName,
                    java.lang.reflect.Method m)

#### Function

    public Function()

### Method Detail

#### writeExternal

    public void writeExternal​(java.io.ObjectOutput out)
                       throws java.io.IOException

Specified by:
  `writeExternal` in interface `java.io.Externalizable`
Throws:
  `java.io.IOException`

#### readExternal

    public void readExternal​(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Specified by:
  `readExternal` in interface `java.io.Externalizable`
Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### getMethod

    public java.lang.reflect.Method getMethod()

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`